> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Users and teams with router traffic, for the metrics filters

> Distinct users and teams (realm roles) seen in the range. Admin only:
only an admin's metrics can be filtered.



## OpenAPI

````yaml get /api/airouter/metrics/subjects
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/airouter/metrics/subjects:
    get:
      tags:
        - AI Router
      summary: Users and teams with router traffic, for the metrics filters
      description: |-
        Distinct users and teams (realm roles) seen in the range. Admin only:
        only an admin's metrics can be filtered.
      operationId: get_router_metrics_subjects_api_airouter_metrics_subjects_get
      parameters:
        - name: range_days
          in: query
          required: false
          schema:
            type: integer
            default: 30
            title: Range Days
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricsSubjectsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    MetricsSubjectsResponse:
      properties:
        users:
          items:
            type: string
          type: array
          title: Users
        teams:
          items:
            type: string
          type: array
          title: Teams
      type: object
      title: MetricsSubjectsResponse
      description: Users and teams seen in the range, for the metrics filters.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.